﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3052B: (1 year) VER IEEE /5820A+1Ch
DATE:                  2010-08-03 14:11:58
AUTHOR:                Fluke
REVISION:              $Revision: 18573 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       204
CONFIGURATION:         Fluke 5820A
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3052B
# 
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B IEEE-488 Interface
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test IEEE
#        Sub Tek TDS3000 Signal Path Compensation Cal IEEE
#        Sub Tek TDS3000B (1 yr) DCV IEEE /5800
#        Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5800
#        Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5800
#        Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5800
#        Sub Tek TDS3000B (1 yr) Sample Rate IEEE /5800
#        Sub Tek TDS3000 Channel Select IEEE
#        Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
# The procedure was tested using:
#        Model No  : TDS 3054
#        Serial No : b019431
#        Options   : None
#        Firmware  : 2.21
#
# Average run time during testing : 20 mins
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5820         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.017  JMPL         END                              @Abort
  1.018  CALL         Sub UUT Connection GPIB

  1.019  IEEE2        *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3052B"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000 Check Firmware Version
  1.027  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS FULL BW (CH1)
#    6.   BANDWIDTH (CH2)                    TRIGGER SENS 50 MHz (CH1)
#    7.   TRIGGER SENS FULL BW (CH1)         SAMPLE RATE AND DELAY TIME ACC
#    8.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH2)
#    9.   TRIGGER SENS 50 MHz (CH1)          BANDWIDTH (CH2)
#   10.   TRIGGER SENS 50 MHz (CH2)          TRIGGER SENS FULL BW (CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH2)

  1.028  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.029  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.032  JMPL         END                           @Abort

  1.033  DISP         Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5800
  1.036  JMPL         BANDWIDTH_CH1

  1.037  LABEL        DCV_CH2
  1.038  DISP         Connect the 58xxA CHAN 1 to the UUT CH 2.
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5800
  1.041  JMPL         BANDWIDTH_CH2

  1.042  LABEL        BANDWIDTH_CH1
  1.043  MATH         @Chan = 1
  1.044  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5800
  1.045  JMPL         TRIG_FULL_BW_CH1

  1.046  LABEL        BANDWIDTH_CH2
  1.047  MATH         @Chan = 2
  1.048  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5800
  1.049  JMPL         TRIG_FULL_BW_CH2

  1.050  LABEL        TRIG_FULL_BW_CH1
  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5800
  1.053  JMPL         TRIG_50MH_CH1

  1.054  LABEL        TRIG_FULL_BW_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5800
  1.057  JMPL         TRIG_50MH_CH2

  1.058  LABEL        TRIG_50MH_CH1
  1.059  MATH         @Chan = 1
  1.060  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5800
  1.061  JMPL         SAMPLE_RATE

  1.062  LABEL        TRIG_50MH_CH2
  1.063  MATH         @Chan = 2
  1.064  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5800
  1.065  JMPL         END

  1.066  LABEL        SAMPLE_RATE
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub Tek TDS3000B (1 yr) Sample Rate IEEE /5800
  1.069  JMPL         DCV_CH2

  1.070  LABEL        END
  1.071  HEAD         -2

  1.072  IF           @Abort
  1.073  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.074  ELSE
  1.075  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.076  ENDIF

  1.077  END
